#! /usr/bin/perl
#
# COPYING
# Liquid Font Family
# Copyright (C) 2009 Henrik Theiling
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# SYNOPOSIS
# Braille patterns for a 6x8 font.

use strict;
use warnings;

for my $i (0..255) {
    printf ":0x%04x\n", 0x2800 + $i;
    my $s=
       "......\n".
       "..0.3.\n".
       "......\n".
       "..1.4.\n".
       "......\n".
       "..2.5.\n".
       "......\n".
       "..6.7.\n";
    $s=~ s/(\d)/($i & (1 << $1)) ? '#' : '.'/gsex;
    print  "-space 2\n";
    print  "__|_|_\n";
    print "$s";
    print  "\n";
}

0;
